- Qt 6.7
- Qt GRPC
- QML Types
- QQmlGrpcCallOptions
- Qt 6.7.2 Reference Documentation

# QQmlGrpcCallOptions QML Type

The QQmlGrpcCallOptions is a storage class used to set additional call options. More...

Import Statement: | import QtGrpc
Since: | Qt 6.7
Instantiates: | QGrpcCallOptions

- List of all members, including inherited members

## Properties

- deadline : int
- metadata : QQmlGrpcMetadata

## Detailed Description

Provides a set of properties to access the call options that are used by gRPC channels to communicate with the services.

See also QGrpcCallOptions.

## Property Documentation

deadline : int

Holds a deadline value for a call.

See also QGrpcCallOptions::deadline.

metadata : QQmlGrpcMetadata

Holds a pointer to the metadata used for a call.

See also QQmlGrpcMetadata and QGrpcMetadata.